com.aliyun.player.source

## Class UrlSource

- java.lang.Object
- - com.aliyun.player.source.SourceBase
  - - com.aliyun.player.source.UrlSource

-     public class UrlSource
      extends SourceBase

- - ### Field Summary

    - ### Fields inherited from class com.aliyun.player.source.SourceBase

      `mForceQuality, mQuality`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCacheFilePath()` 获取本地文件路径
    `long` | `getOriginSize()` 获取url文件大小
    `java.lang.String` | `getUri()` Query the playback URL.
    `void` | `setCacheFilePath(java.lang.String cacheFilePath)` 设置本地文件路径
    `void` | `setOriginSize(long originSize)` 设置url文件大小
    `void` | `setUri(java.lang.String mUri)` Set the playback URL.

    - ### Methods inherited from class com.aliyun.player.source.SourceBase

      `getCoverPath, getQuality, getTitle, isForceQuality, setCoverPath, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlSource

          public UrlSource()

  - ### Method Detail

    - #### getUri

          public java.lang.String getUri()

      Query the playback URL.
      Returns:
        The playback URL.

    - #### setUri

          public void setUri(java.lang.String mUri)

      Set the playback URL.
      Parameters:
        `mUri` - The playback URL: a local address or a URL.

    - #### getCacheFilePath

          public java.lang.String getCacheFilePath()

      获取本地文件路径
      Returns:
        本地文件路径

    - #### setCacheFilePath

          public void setCacheFilePath(java.lang.String cacheFilePath)

      设置本地文件路径
      Parameters:
        `cacheFilePath` - 本地文件路径

    - #### getOriginSize

          public long getOriginSize()

      获取url文件大小
      Returns:

    - #### setOriginSize

          public void setOriginSize(long originSize)

      设置url文件大小
      Parameters:
        `originSize` -